Get webhook items
curl --request GET \
--url https://api.debbiecollect.com/v1/{tenantId}/webhooks/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/webhooks/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.debbiecollect.com/v1/{tenantId}/webhooks/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"attempts": [],
"createdAt": "2025-07-29T11:21:10.100Z",
"data": {
"updateId": "d2cd774a-c08b-42f9-b336-7a7e5c7ed380",
"data": null,
"refId": null,
"update": null,
"referenceId": "6b064b95-fb40-4569-b0c9-4e4ae223c347",
"updateTypeId": "748ee810-e2e1-4126-901e-fcb0d9b299cc",
"createdAt": "2025-07-29T11:21:10.094Z",
"pausedAt": "2025-07-29T11:21:10.094Z",
"continuedAt": null,
"remindedAt": "2025-07-29T13:21:07+02:00",
"responsibleType": null,
"responsibleReferenceId": null
},
"event": "updates.create",
"id": "867ddc9d-ee15-4493-b7fe-f6fbd6bbe71b",
"internal": false,
"name": "Test",
"hookId": "b963f219-255e-47b7-a3f2-0fe6180514a1",
"url": "",
"state": "PENDING"
}
],
"meta": {
"currentPage": 0,
"pageSize": 25
}
}Webhooks
Get webhook items
Get webhook items paginated
GET
/
v1
/
{tenantId}
/
webhooks
/
items
Get webhook items
Authorizations
Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.
Path Parameters
Id of the tenant
Query Parameters
Page to get. Starting from 0.
Number of items per page.
Id of the webhook.
Number of items per page. Filter on webhook item state
Available options:
PENDING, SUCCESS Response
Successful operation
⌘I